Skip to main content
GET
JavaScript

Authorizations

Authorization
string
header
required

Send your API key as a bearer token: Authorization: Bearer <api_key>. A test mode key starts with dodo_test_, for example dodo_test_AbCd1234EfGh5678.<secret>. A live mode key starts with dodo_live_. Use a test mode key on test.dodopayments.com and a live mode key on live.dodopayments.com. Keys from before these tags have no tag and operate as before.

Path Parameters

id
string
required

Product Collection Id

Response

Product Collection Retrieved Successfully

brand_id
string
required

Brand ID for the collection

created_at
string<date-time>
required

Timestamp when the collection was created

groups
object[]
required

Groups in this collection

id
string
required

Unique identifier for the product collection

name
string
required

Name of the collection

updated_at
string<date-time>
required

Timestamp when the collection was last updated

description
string | null

Description of the collection

effective_at_on_downgrade
null | enum<string>

Default effective_at setting for subscription plan downgrades (null = inherit from business)

Available options:
immediately,
next_billing_date
effective_at_on_upgrade
null | enum<string>

Default effective_at setting for subscription plan upgrades (null = inherit from business)

Available options:
immediately,
next_billing_date
image
string | null

URL of the collection image

on_payment_failure
null | enum<string>

Default behavior for subscription plan changes on payment failure (null = inherit from business)

Available options:
prevent_change,
apply_change
proration_billing_mode_on_downgrade
null | enum<string>

Default proration billing mode for subscription plan downgrades (null = inherit from business)

Available options:
prorated_immediately,
full_immediately,
difference_immediately,
do_not_bill,
prorated_immediately_keep_cycle
proration_billing_mode_on_upgrade
null | enum<string>

Default proration billing mode for subscription plan upgrades (null = inherit from business)

Available options:
prorated_immediately,
full_immediately,
difference_immediately,
do_not_bill,
prorated_immediately_keep_cycle
Last modified on May 21, 2026